Name:           xsensors
Version:        0.73
Release:        1%{?dist}
Summary:        An X11 interface to lm_sensors

License:        GPLv2+
Url:            https://github.com/Mystro256/xsensors
#Download here: https://github.com/Mystro256/xsensors/archive/0.72.tar.gz
Source:         %{name}-%{version}.tar.gz

BuildRequires:  gtk2-devel
BuildRequires:  lm_sensors-devel
BuildRequires:  cairo-devel
BuildRequires:  glib2-devel
BuildRequires:  desktop-file-utils

%description
Xsensors is a simple GUI program that allows you to read useful data from the
lm_sensors library in a digital read-out like fashion, such as the temperature,
voltage ratings and fan speeds of the running computer.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
desktop-file-validate \
  %{buildroot}%{_datadir}/applications/%{name}.desktop
install -p -D -m 0644 xdg/%{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1  

%files
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/pixmaps/%{name}.xpm
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Apr 3 2014 Jeremy Newton <alexjnewt@hotmail.com> - 0.73-1
- New version, fixes bug RH#1076012

* Fri Jan 3 2014 Jeremy Newton <alexjnewt@hotmail.com> - 0.72-1
- New version, minor fixes
- Removed unnecessary configure flag
- Removed unnecessary post actions
- Fixed website

* Sat Apr 9 2011 Jeremy Newton <alexjnewt@hotmail.com> - 0.71-2
- Added missing build flags

* Sat Apr 9 2011 Jeremy Newton <alexjnewt@hotmail.com> - 0.71-1
- Switched to new upstream source

* Sat Feb 19 2011 Jeremy Newton <alexjnewt@hotmail.com> - 0.70-2
- Removed build flags
- Added missing dependancy

* Sat Feb 19 2011 Jeremy Newton <alexjnewt@hotmail.com> - 0.70-1
- Initial package SPEC created
